import _objectSpread from "@babel/runtime/helpers/objectSpread";
import _asyncToGenerator from "@babel/runtime/helpers/asyncToGenerator";
import plugin from "@start/plugin";
export default (userOptions => plugin('typescriptCheck',
/*#__PURE__*/
_asyncToGenerator(function* () {
  const path = yield import('path');

  const _ref2 = yield import('execa'),
        execa = _ref2.default;

  const tscBinPath = path.resolve('node_modules/.bin/tsc');
  const spawnOptions = {
    stripEof: false,
    env: {
      FORCE_COLOR: '1'
    }
  };

  const options = _objectSpread({
    allowSyntheticDefaultImports: true,
    lib: 'esnext',
    moduleResolution: 'node',
    pretty: true
  }, userOptions, {
    noEmit: true
  });

  const tscArgs = Object.keys(options).reduce((result, key) => {
    const value = options[key];

    if (typeof value === 'boolean') {
      return result.concat(`--${key}`);
    }

    if (typeof value === 'string') {
      return result.concat(`--${key}`, `${value}`);
    }

    if (Array.isArray(value)) {
      return result.concat(`--${key}`, `${value.join(',')}`);
    }

    return result;
  }, []);
  yield execa(tscBinPath, tscArgs, spawnOptions);
})));